/* It contains styles for cards and google forms*/

.grid-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 30px;
  margin: 0 0 20px 0;
  justify-items: center;
  align-items: center;
  padding: 0 10px;
}

.card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 20px;
  border-radius: 45px;
  background: var(--coffee);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(0px);
  -webkit-backdrop-filter: blur(0px);
  margin-bottom: 10px;
  width: 100%;
  height: 100%;
  max-width: 350px;
  min-height: 250px;
  overflow: hidden;
  align-items: center;

  background: rgba(245, 226, 200, 0.027);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.34);
  backdrop-filter: blur(2px);
  -webkit-backdrop-filter: blur(2px);
  border: 1px solid rgba(245, 226, 200, 0.39);
}

.card:hover {
  background: rgba(245, 226, 200, 0.027);
  transform: scale(1.05);
  transition: all 0.3s ease-in-out;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.2);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(5px);
  border: 1px solid rgba(245, 226, 200, 0.495);
}

.card p,
.card h2,
.card h3 {
  word-wrap: break-word;
  overflow-wrap: break-word;
}

.card h2 {
  width: 100%;
  margin: 10px 0;
  color: var(--beige);
  font-size: var(--font-size-lg);
  letter-spacing: 0.08rem;
  line-height: 1rem;
  font-weight: 900;
}

h3 {
  color: var(--black);
}

.img-card {
  width: 100%;
  object-fit: cover;
  border-radius: 35px 35px 0 0;
  border: 1px solid rgba(245, 226, 200, 0.39);
}

@media (min-width: 500px) {
  .grid-container {
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    max-width: 90%;
    padding: 0 15px;
    margin: 0 0 30px 0;
  }
}

@media (min-width: 768px) {
  nav ul li {
    margin-right: 20px;
  }

  nav ul li {
    margin-right: 20px;
  }

  .grid-container {
    grid-template-columns: repeat(3, 1fr);
    max-width: 80%;
    padding: 0 20px;
    gap: 30px;
    margin: 0 0 40px 0;
  }
}